# CbcStrategyNull Class Reference

Null class. More...

`#include <CbcStrategy.hpp>`

Inheritance diagram for CbcStrategyNull:
[legend]
Collaboration diagram for CbcStrategyNull:
[legend]

List of all members.

## Public Member Functions
| CbcStrategyNull ()
| CbcStrategyNull (const CbcStrategyNull &rhs)
| ~CbcStrategyNull ()
virtual CbcStrategy * | clone () const
| Clone.
virtual void | setupCutGenerators (CbcModel &)
| Setup cut generators.
virtual void | setupHeuristics (CbcModel &)
| Setup heuristics.
virtual void | setupPrinting (CbcModel &, int)
| Do printing stuff.
virtual void | setupOther (CbcModel &)
| Other stuff e.g. strong branching.
## Private Member Functions
CbcStrategyNull & | operator= (const CbcStrategyNull &rhs)
| Illegal Assignment operator.

## Detailed Description

Null class.

Definition at line 95 of file CbcStrategy.hpp.

## Constructor & Destructor Documentation

CbcStrategyNull::CbcStrategyNull | ( |  | ) | `[inline]`

Definition at line 99 of file CbcStrategy.hpp.

CbcStrategyNull::CbcStrategyNull | ( | const CbcStrategyNull & | rhs | ) | `[inline]`

Definition at line 102 of file CbcStrategy.hpp.

CbcStrategyNull::~CbcStrategyNull | ( |  | ) | `[inline]`

Definition at line 105 of file CbcStrategy.hpp.

## Member Function Documentation

virtual CbcStrategy* CbcStrategyNull::clone | ( |  | ) | const`[inline, virtual]`

Clone.

Implements CbcStrategy.

Definition at line 108 of file CbcStrategy.hpp.

virtual void CbcStrategyNull::setupCutGenerators | ( | CbcModel & |  | ) | `[inline, virtual]`

Setup cut generators.

Implements CbcStrategy.

Definition at line 113 of file CbcStrategy.hpp.

virtual void CbcStrategyNull::setupHeuristics | ( | CbcModel & |  | ) | `[inline, virtual]`

Setup heuristics.

Implements CbcStrategy.

Definition at line 115 of file CbcStrategy.hpp.

virtual void CbcStrategyNull::setupPrinting | ( | CbcModel & | ,
|  | int |  |
| ) |  |  | `[inline, virtual]`

Do printing stuff.

Implements CbcStrategy.

Definition at line 117 of file CbcStrategy.hpp.

virtual void CbcStrategyNull::setupOther | ( | CbcModel & |  | ) | `[inline, virtual]`

Other stuff e.g. strong branching.

Implements CbcStrategy.

Definition at line 119 of file CbcStrategy.hpp.

CbcStrategyNull& CbcStrategyNull::operator= | ( | const CbcStrategyNull & | rhs | ) | `[private]`

Illegal Assignment operator.

Reimplemented from CbcStrategy.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.7.8/Cbc/src/CbcStrategy.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines